package com.ruoyi.dz.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 科目对象 dz_subject
 * 
 * @author ruoyi
 * @date 2025-09-27
 */
public class DzSubject extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 科目ID */
    private Long subjectId;

    /** 科目名称 */
    @Excel(name = "科目名称")
    private String subjectName;

    /** 拼音 */
    @Excel(name = "拼音")
    private String pinyin;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    /** 适合省份 */
    @Excel(name = "适合省份")
    private String locations;

    /** 适合类别 */
    @Excel(name = "适合类别")
    private String examTypes;

    private String groupName;

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public void setSubjectId(Long subjectId)
    {
        this.subjectId = subjectId;
    }

    public Long getSubjectId() 
    {
        return subjectId;
    }

    public void setSubjectName(String subjectName) 
    {
        this.subjectName = subjectName;
    }

    public String getSubjectName() 
    {
        return subjectName;
    }

    public void setPinyin(String pinyin) 
    {
        this.pinyin = pinyin;
    }

    public String getPinyin() 
    {
        return pinyin;
    }

    public void setSort(Long sort) 
    {
        this.sort = sort;
    }

    public Long getSort() 
    {
        return sort;
    }

    public void setLocations(String locations) 
    {
        this.locations = locations;
    }

    public String getLocations() 
    {
        return locations;
    }

    public void setExamTypes(String examTypes) 
    {
        this.examTypes = examTypes;
    }

    public String getExamTypes() 
    {
        return examTypes;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("subjectId", getSubjectId())
            .append("subjectName", getSubjectName())
            .append("pinyin", getPinyin())
            .append("sort", getSort())
            .append("locations", getLocations())
            .append("examTypes", getExamTypes())
            .toString();
    }
}
